Bug 1020284 - [abrt] libreoffice-core-4.1.2.2-1.fc19: std::__detail::_List_node_base::_M_hook: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-4.1.2.2-1.fc19: std::__detail::_List_node_base::_M_ho...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:cab933a6c3c2223d9ab14aea4a6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 07:40 EDT by kbzd76
Modified: 2013-11-11 10:54 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-11 10:17:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.84 KB, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: core_backtrace (24.44 KB, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: dso_list (16.10 KB, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: environ (2.15 KB, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: maps (152.52 KB, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: open_fds (2.22 KB, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details
File: var_log_messages (502 bytes, text/plain)
2013-10-17 07:40 EDT, kbzd76
no flags Details

  None (edit)
Description kbzd76 2013-10-17 07:40:08 EDT
Version-Release number of selected component:
libreoffice-core-4.1.2.2-1.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --quickstart --nologo --nodefault
crash_function: std::__detail::_List_node_base::_M_hook
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.1-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 std::__detail::_List_node_base::_M_hook at ../../../../../libstdc++-v3/src/c++98/list.cc:131
 #1 X11SalFrame::SetParent(SalFrame*) at /usr/lib64/libreoffice/program/libvclplug_genlo.so
 #2 Window::ImplSetFrameParent(Window const*) at /usr/lib64/libreoffice/program/libvcllo.so
 #3 Window::SetParent(Window*) at /usr/lib64/libreoffice/program/libvcllo.so
 #4 framework::ToolbarLayoutManager::implts_calcWindowPosSizeOnSingleRowColumn(int, int, framework::ToolbarLayoutManager::SingleRowColumnWindowData&, Size const&) at /usr/lib64/libreoffice/program/../program/libfwklo.so
 #5 framework::ToolbarLayoutManager::doLayout(Size const&) at /usr/lib64/libreoffice/program/../program/libfwklo.so
 #6 framework::LayoutManager::implts_doLayout(unsigned char, unsigned char) at /usr/lib64/libreoffice/program/../program/libfwklo.so
 #7 framework::LayoutManager::frameAction(com::sun::star::frame::FrameActionEvent const&) at /usr/lib64/libreoffice/program/../program/libfwklo.so
 #8 framework::Frame::implts_sendFrameActionEvent(com::sun::star::frame::FrameAction const&) at /usr/lib64/libreoffice/program/../program/libfwklo.so
 #9 framework::Frame::setComponent(com::sun::star::uno::Reference<com::sun::star::awt::XWindow> const&, com::sun::star::uno::Reference<com::sun::star::frame::XController> const&) at /usr/lib64/libreoffice/program/../program/libfwklo.so
Comment 1 kbzd76 2013-10-17 07:40:14 EDT
Created attachment 813272 [details]
File: backtrace
Comment 2 kbzd76 2013-10-17 07:40:18 EDT
Created attachment 813273 [details]
File: cgroup
Comment 3 kbzd76 2013-10-17 07:40:23 EDT
Created attachment 813274 [details]
File: core_backtrace
Comment 4 kbzd76 2013-10-17 07:40:27 EDT
Created attachment 813275 [details]
File: dso_list
Comment 5 kbzd76 2013-10-17 07:40:32 EDT
Created attachment 813276 [details]
File: environ
Comment 6 kbzd76 2013-10-17 07:40:35 EDT
Created attachment 813277 [details]
File: exploitable
Comment 7 kbzd76 2013-10-17 07:40:39 EDT
Created attachment 813278 [details]
File: limits
Comment 8 kbzd76 2013-10-17 07:40:45 EDT
Created attachment 813279 [details]
File: maps
Comment 9 kbzd76 2013-10-17 07:40:48 EDT
Created attachment 813280 [details]
File: open_fds
Comment 10 kbzd76 2013-10-17 07:40:52 EDT
Created attachment 813282 [details]
File: proc_pid_status
Comment 11 kbzd76 2013-10-17 07:40:56 EDT
Created attachment 813283 [details]
File: var_log_messages
Comment 12 David Tardon 2013-10-21 02:48:51 EDT
Is the crash reproducible?
Comment 13 kbzd76 2013-11-11 10:54:47 EST
Je n'ai plus utilisé LibreOffice depuis l'apparition de ce bug. Je suis repassé chez OpenOffice avec mon nouveau Laptop.

Note You need to log in before you can comment on or make changes to this bug.